%define kdeprefix /usr
%define version 0.5.1
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename kget
Name: %{kdename}
Summary: KGet quickly fetches files via FTP or HTTP.
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/Internet/%{kdename}-%{version}.tgz
License: GPL
URL: http://devel-home.kde.org/kget/
Group: Development/Debuggers
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
KGet is a download manager similar to GetRight or Go!zilla for MS
Windows useful for people who often download a lot of files and don't
want to look at several progress dialogs. All transfers are registered
on the list and you can simply organize them (add, delete, pause,
resume, move around on the list).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{kdename}-%{version}

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Wed Apr 21 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







